Subject: Re: bug#9891: 24.0.90; Duplicated entry at the info directory

From: Eli Zaretskii <[email-masked]>
Date: Wed, 02 Nov 2011 19:54:21 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Wed, 02 Nov 2011 10:05:39 -0400
> 
> I think I'm beginning to understand: the problem is that the "top-level
> dir" is used in two very different contexts:
> - for interactive use, where it should be shortish and avoid redundancy.
> - for non-interactive use, typically to make `info' emulate `man', where
>   the toplevel `dir' is abused as an index.  This only works for
>   specially built `dir' files and I don't see it used in Debian,
>   for instance.
> The Info-dir-remove-duplicates is clearly meant for the first use and
> I think that's the most important use, so if we want to make it handle
> the second case we'll have to make sure it doesn't hurt the first.

What would constitute "hurting the first use case"?

I intend to make a change whereby the header lines we maintain on
Emacs's info/dir file are not deleted (by removing ("Emacs . "Emacs)
from Info-streamline-headers) -- would that "hurt", and if so, why?